org.apache.jasper.JasperException

PWC6033: Unable to compile >> class for JSP[/b] >> >> I use JRE 6 > > You need to use JDK 6 (which includes tools.jar). > The JRE is not sufficient. Correct, You can setup the JDK used by GF v3 via Eclipse on the v3 server editor page...(double click on the v3 server node and select "runtime environment" link. If no JDK is there, you will need to install one and register it (using the link "installed JRE preferences" that can register both JREs and JDKs (Eclipse seems to mix JRE and JDKs...so it is confusing). Ludo > > > Jan > >> The LogFile: >> >> >> [b]PWC1406: Servlet.service() for servlet Faces Servlet threw >> exception java.lang.NullPointerException at >> org.apache.jasper.compiler.Jsr199JavaCompiler.compile(Jsr199JavaCompiler.java:172) >> at >> org.apache.jasper.compiler.Compiler.generateClass(Compiler.java:368) >>

Samebug tips0

There are no available Samebug tips for this exception. If you know how to solve this issue, help other users by writing a short tip.

Don't give up yet. Paste your full stack trace to get a solution.

Solutions on the web2682

  • via Oracle Community by karam84, 11 months ago
    click on the v3 server node and select "runtime environment" link. If no JDK is there, you will need to install one and register it (using the link "installed JRE preferences" that can register both JREs and JDKs (Eclipse seems to mix JRE and JDKs...so
  • via Stack Overflow by rlay3
    , 1 year ago
    only affecting me, the page displays fine for my 2 other colleagues in their environments.</p> <p>So my question is, what is causing the JSP compiler to fail when using a package where that package name also exists as class? And how can this be fixed
  • Unable to compile class for JSP No Java compiler was found to compile the generated source for the JSP. This can usually be solved by copying manually $JAVA_HOME/lib/tools.jar from the JDK to the common/lib directory of the Tomcat server, followed by a Tomcat restart. If using an alternate Java compiler, please check its installation and access path.
  • Stack trace

    • org.apache.jasper.JasperException: PWC6033: Unable to compile >> class for JSP[/b] >> >> I use JRE 6 > > You need to use JDK 6 (which includes tools.jar). > The JRE is not sufficient. Correct, You can setup the JDK used by GF v3 via Eclipse on the v3 server editor page...(double click on the v3 server node and select "runtime environment" link. If no JDK is there, you will need to install one and register it (using the link "installed JRE preferences" that can register both JREs and JDKs (Eclipse seems to mix JRE and JDKs...so it is confusing). Ludo > > > Jan > >> The LogFile: >> >> >> [b]PWC1406: Servlet.service() for servlet Faces Servlet threw >> exception java.lang.NullPointerException at >> org.apache.jasper.compiler.Jsr199JavaCompiler.compile(Jsr199JavaCompiler.java:172) >> at >> org.apache.jasper.compiler.Compiler.generateClass(Compiler.java:368) >> at org.apache.jasper.compiler.Compiler.compile(Compiler.java:437)

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    Unknown user
    Once, 11 months ago